org.apache.solr.handler

## Class RequestHandlerUtils

- java.lang.Object
- - org.apache.solr.handler.RequestHandlerUtils

-     public class RequestHandlerUtils
      extends Object

  Common helper functions for RequestHandlers
  Since:
    solr 1.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestHandlerUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addExperimentalFormatWarning(SolrQueryResponse rsp)` A common way to mark the response format as experimental
    `static boolean` | `handleCommit(SolrQueryRequest req, UpdateRequestProcessor processor, SolrParams params, boolean force)` Check the request parameters and decide if it should commit or optimize.
    `static boolean` | `handleRollback(SolrQueryRequest req, UpdateRequestProcessor processor, SolrParams params, boolean force)`
    `static void` | `updateCommit(CommitUpdateCommand cmd, SolrParams params)` Modify UpdateCommand based on request parameters
    `static void` | `validateCommitParams(SolrParams params)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestHandlerUtils

          public RequestHandlerUtils()

  - ### Method Detail

    - #### addExperimentalFormatWarning

          public static void addExperimentalFormatWarning(SolrQueryResponse rsp)

      A common way to mark the response format as experimental

    - #### handleCommit

          public static boolean handleCommit(SolrQueryRequest req,
                                             UpdateRequestProcessor processor,
                                             SolrParams params,
                                             boolean force)
                                      throws IOException

      Check the request parameters and decide if it should commit or optimize. If it does, it will check other related parameters such as "waitFlush" and "waitSearcher"
      Throws:
        `IOException`

    - #### validateCommitParams

          public static void validateCommitParams(SolrParams params)

    - #### updateCommit

          public static void updateCommit(CommitUpdateCommand cmd,
                                          SolrParams params)

      Modify UpdateCommand based on request parameters

    - #### handleRollback

          public static boolean handleRollback(SolrQueryRequest req,
                                               UpdateRequestProcessor processor,
                                               SolrParams params,
                                               boolean force)
                                        throws IOException

      Throws:
        `IOException`
      Since:
        Solr 1.4

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.